> ## Documentation Index
> Fetch the complete documentation index at: https://docs-v2.sortx.co.uk/llms.txt
> Use this file to discover all available pages before exploring further.

# Log repair contact

> Log an attempt to reach the tenant, contractor or landlord about a repair



## OpenAPI

````yaml /openapi.json post /maintenance-pro/repairs/{id}/contacts
openapi: 3.1.0
info:
  title: SortX API
  version: 1.0.0
  description: >-
    Reactive repairs, planned maintenance, compliance and the repairs desk for
    UK letting agents and property managers.
servers:
  - url: https://api.sortx.co.uk
    description: Production
security: []
tags:
  - name: tenants
  - name: entitlements
  - name: events
  - name: workspace-settings
  - name: operational-catalogues
  - name: money
  - name: contacts
  - name: properties
  - name: address-lookup
  - name: tenancies
  - name: contractor-invoices
  - name: keys
  - name: inspections
  - name: handovers
  - name: planned-maintenance
  - name: contractors
  - name: documents
  - name: compliance
  - name: activity
  - name: tasks
  - name: today
  - name: reports
  - name: workspace-search
  - name: calendar
  - name: telephony
  - name: maintenance-pro
  - name: front-desk
  - name: maintenance-pro-public
  - name: maintenance-pro-contractor
paths:
  /maintenance-pro/repairs/{id}/contacts:
    post:
      tags:
        - maintenance-pro
      summary: Log repair contact
      description: >-
        Log an attempt to reach the tenant, contractor or landlord about a
        repair
      operationId: maintenance-pro.logRepairContact
      parameters:
        - name: id
          in: path
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                requestId:
                  type: string
                party:
                  type: string
                  enum:
                    - tenant
                    - contractor
                    - landlord
                    - other
                partyName:
                  anyOf:
                    - anyOf:
                        - type: string
                        - type: 'null'
                    - type: 'null'
                channel:
                  type: string
                  enum:
                    - call
                    - sms
                    - email
                    - whatsapp
                    - in_person
                direction:
                  type: string
                  enum:
                    - outbound
                    - inbound
                result:
                  type: string
                  enum:
                    - spoke
                    - no_answer
                    - voicemail
                    - message
                    - wrong_number
                    - call_back
                note:
                  anyOf:
                    - anyOf:
                        - type: string
                        - type: 'null'
                    - type: 'null'
                occurredAt:
                  anyOf:
                    - anyOf:
                        - type: string
                        - type: 'null'
                    - type: 'null'
              required:
                - requestId
                - party
                - channel
                - direction
                - result
              additionalProperties: false
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  repairId:
                    type: string
                  visits:
                    type: array
                    items:
                      type: object
                      properties:
                        number:
                          anyOf:
                            - anyOf:
                                - type: number
                                - type: string
                                  enum:
                                    - Infinity
                                    - '-Infinity'
                                    - NaN
                            - type: 'null'
                        calendarEventId:
                          type: string
                        startsAt:
                          type: string
                        endsAt:
                          type: string
                        state:
                          type: string
                          enum:
                            - booked
                            - done
                            - cancelled
                        current:
                          type: boolean
                        contractor:
                          anyOf:
                            - type: string
                            - type: 'null'
                        outcome:
                          anyOf:
                            - type: object
                              properties:
                                id:
                                  type: string
                                result:
                                  type: string
                                  enum:
                                    - fixed
                                    - made_safe
                                    - part_fixed
                                    - not_fixed
                                    - no_access
                                    - contractor_no_show
                                reasons:
                                  type: array
                                  items:
                                    type: string
                                    enum:
                                      - tenant_not_home
                                      - access_refused
                                      - keys_did_not_work
                                      - wrong_tools
                                      - parts_needed
                                      - bigger_than_expected
                                      - needs_other_trade
                                      - needs_quote_approval
                                      - unsafe_to_work
                                      - ran_out_of_time
                                      - other
                                note:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                source:
                                  type: string
                                  enum:
                                    - staff
                                    - contractor
                                recordedBy:
                                  anyOf:
                                    - type: string
                                    - type: 'null'
                                recordedAt:
                                  type: string
                                nextStep:
                                  anyOf:
                                    - anyOf:
                                        - type: object
                                          properties:
                                            parts:
                                              anyOf:
                                                - type: object
                                                  properties:
                                                    part:
                                                      type: string
                                                    supplier:
                                                      anyOf:
                                                        - type: string
                                                        - type: 'null'
                                                    ordered:
                                                      type: boolean
                                                    expectedOn:
                                                      type: string
                                                    costMinor:
                                                      anyOf:
                                                        - anyOf:
                                                            - type: number
                                                            - type: string
                                                              enum:
                                                                - Infinity
                                                                - '-Infinity'
                                                                - NaN
                                                        - type: 'null'
                                                    currency:
                                                      anyOf:
                                                        - type: string
                                                        - type: 'null'
                                                    returnDurationMinutes:
                                                      anyOf:
                                                        - type: number
                                                        - type: string
                                                          enum:
                                                            - Infinity
                                                            - '-Infinity'
                                                            - NaN
                                                  required:
                                                    - part
                                                    - supplier
                                                    - ordered
                                                    - expectedOn
                                                    - costMinor
                                                    - currency
                                                    - returnDurationMinutes
                                                  additionalProperties: false
                                                - type: 'null'
                                            quote:
                                              anyOf:
                                                - type: object
                                                  properties:
                                                    quoteId:
                                                      anyOf:
                                                        - type: string
                                                        - type: 'null'
                                                    lines:
                                                      type: array
                                                      items:
                                                        type: object
                                                        properties:
                                                          description:
                                                            type: string
                                                          amountMinor:
                                                            anyOf:
                                                              - type: number
                                                              - type: string
                                                                enum:
                                                                  - Infinity
                                                                  - '-Infinity'
                                                                  - NaN
                                                        required:
                                                          - description
                                                          - amountMinor
                                                        additionalProperties: false
                                                    totalMinor:
                                                      anyOf:
                                                        - type: number
                                                        - type: string
                                                          enum:
                                                            - Infinity
                                                            - '-Infinity'
                                                            - NaN
                                                    vatMinor:
                                                      anyOf:
                                                        - anyOf:
                                                            - type: number
                                                            - type: string
                                                              enum:
                                                                - Infinity
                                                                - '-Infinity'
                                                                - NaN
                                                        - type: 'null'
                                                    earliestStartOn:
                                                      anyOf:
                                                        - type: string
                                                        - type: 'null'
                                                    currency:
                                                      type: string
                                                  required:
                                                    - quoteId
                                                    - lines
                                                    - totalMinor
                                                    - vatMinor
                                                    - earliestStartOn
                                                    - currency
                                                  additionalProperties: false
                                                - type: 'null'
                                            hazard:
                                              anyOf:
                                                - type: object
                                                  properties:
                                                    description:
                                                      type: string
                                                    madeSafe:
                                                      type: boolean
                                                    anyoneAtRisk:
                                                      type: boolean
                                                  required:
                                                    - description
                                                    - madeSafe
                                                    - anyoneAtRisk
                                                  additionalProperties: false
                                                - type: 'null'
                                            returnVisit:
                                              anyOf:
                                                - type: object
                                                  properties:
                                                    needed:
                                                      type: string
                                                    timeNeededMinutes:
                                                      anyOf:
                                                        - anyOf:
                                                            - type: number
                                                            - type: string
                                                              enum:
                                                                - Infinity
                                                                - '-Infinity'
                                                                - NaN
                                                        - type: 'null'
                                                    returnBy:
                                                      anyOf:
                                                        - type: string
                                                        - type: 'null'
                                                  required:
                                                    - needed
                                                    - timeNeededMinutes
                                                    - returnBy
                                                  additionalProperties: false
                                                - type: 'null'
                                            photoDocumentIds:
                                              type: array
                                              items:
                                                type: string
                                          required:
                                            - parts
                                            - quote
                                            - hazard
                                            - returnVisit
                                            - photoDocumentIds
                                          additionalProperties: false
                                        - type: 'null'
                                    - type: 'null'
                              required:
                                - id
                                - result
                                - reasons
                                - note
                                - source
                                - recordedBy
                                - recordedAt
                              additionalProperties: false
                            - type: 'null'
                        arrivals:
                          type: array
                          items:
                            type: object
                            properties:
                              stage:
                                type: string
                              at:
                                type: string
                              note:
                                anyOf:
                                  - type: string
                                  - type: 'null'
                            required:
                              - stage
                              - at
                              - note
                            additionalProperties: false
                      required:
                        - number
                        - calendarEventId
                        - startsAt
                        - endsAt
                        - state
                        - current
                        - contractor
                        - outcome
                        - arrivals
                      additionalProperties: false
                  contacts:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        party:
                          type: string
                          enum:
                            - tenant
                            - contractor
                            - landlord
                            - other
                        partyName:
                          anyOf:
                            - type: string
                            - type: 'null'
                        channel:
                          type: string
                          enum:
                            - call
                            - sms
                            - email
                            - whatsapp
                            - in_person
                        direction:
                          type: string
                          enum:
                            - outbound
                            - inbound
                        result:
                          type: string
                          enum:
                            - spoke
                            - no_answer
                            - voicemail
                            - message
                            - wrong_number
                            - call_back
                        note:
                          anyOf:
                            - type: string
                            - type: 'null'
                        occurredAt:
                          type: string
                        recordedBy:
                          anyOf:
                            - type: string
                            - type: 'null'
                      required:
                        - id
                        - party
                        - partyName
                        - channel
                        - direction
                        - result
                        - note
                        - occurredAt
                        - recordedBy
                      additionalProperties: false
                  summary:
                    type: object
                    properties:
                      visits:
                        anyOf:
                          - type: number
                          - type: string
                            enum:
                              - Infinity
                              - '-Infinity'
                              - NaN
                      unfinished:
                        anyOf:
                          - type: number
                          - type: string
                            enum:
                              - Infinity
                              - '-Infinity'
                              - NaN
                      contactAttempts:
                        anyOf:
                          - type: number
                          - type: string
                            enum:
                              - Infinity
                              - '-Infinity'
                              - NaN
                      unanswered:
                        anyOf:
                          - type: number
                          - type: string
                            enum:
                              - Infinity
                              - '-Infinity'
                              - NaN
                    required:
                      - visits
                      - unfinished
                      - contactAttempts
                      - unanswered
                    additionalProperties: false
                required:
                  - repairId
                  - visits
                  - contacts
                  - summary
                additionalProperties: false
        '400':
          description: >-
            TenantCreateRejected | ConfigMissing | IntegrationRejected |
            AuthRejected | RegistrationRejected | UnknownIntegration |
            WebhookUnroutable | RateUnavailable | MaintenanceRepairInvalid
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantCreateRejectedEncoded'
                  - $ref: '#/components/schemas/ConfigMissingEncoded'
                  - $ref: '#/components/schemas/IntegrationRejectedEncoded'
                  - $ref: '#/components/schemas/AuthRejectedEncoded'
                  - $ref: '#/components/schemas/RegistrationRejectedEncoded'
                  - $ref: '#/components/schemas/UnknownIntegrationEncoded'
                  - $ref: '#/components/schemas/WebhookUnroutableEncoded'
                  - $ref: '#/components/schemas/RateUnavailableEncoded'
                  - $ref: '#/components/schemas/MaintenanceRepairInvalidEncoded'
        '401':
          description: Unauthenticated | WebhookRejected | ApiKeyRejected
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/UnauthenticatedEncoded'
                  - $ref: '#/components/schemas/WebhookRejectedEncoded'
                  - $ref: '#/components/schemas/ApiKeyRejectedEncoded'
        '402':
          description: TenantSuspended
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TenantSuspendedEncoded'
        '403':
          description: >-
            EntitlementMissing | NotAMember | ScopeUnknown | ScopeMissing |
            TenantMismatch | WorkspaceOwnerRequired | WorkspaceRoleRequired
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/EntitlementMissingEncoded'
                  - $ref: '#/components/schemas/NotAMemberEncoded'
                  - $ref: '#/components/schemas/ScopeUnknownEncoded'
                  - $ref: '#/components/schemas/ScopeMissingEncoded'
                  - $ref: '#/components/schemas/TenantMismatchEncoded'
                  - $ref: '#/components/schemas/WorkspaceOwnerRequiredEncoded'
                  - $ref: '#/components/schemas/WorkspaceRoleRequiredEncoded'
        '404':
          description: TenantNotFound | ModuleRequestNotFound | MaintenanceRepairNotFound
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/TenantNotFoundEncoded'
                  - $ref: '#/components/schemas/ModuleRequestNotFoundEncoded'
                  - $ref: '#/components/schemas/MaintenanceRepairNotFoundEncoded'
        '409':
          description: >-
            WebhookDuplicate | RegistrationConflict | MaintenanceRepairConflict
            | MoneyBusy
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/WebhookDuplicateEncoded'
                  - $ref: '#/components/schemas/RegistrationConflictEncoded'
                  - $ref: '#/components/schemas/MaintenanceRepairConflictEncoded'
                  - $ref: '#/components/schemas/MoneyBusyEncoded'
        '429':
          description: RateLimited
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RateLimitedEncoded'
        '503':
          description: IntegrationUnavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntegrationUnavailableEncoded'
      security:
        - apiKey: []
components:
  schemas:
    TenantCreateRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantCreateRejected
        reason:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - reason
      additionalProperties: false
    ConfigMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ConfigMissing
        key:
          type: string
      required:
        - _tag
        - key
      additionalProperties: false
    IntegrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    AuthRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - AuthRejected
        code:
          type: string
        message:
          type: string
      required:
        - _tag
        - code
        - message
      additionalProperties: false
    RegistrationRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationRejected
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    UnknownIntegrationEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - UnknownIntegration
        integration:
          type: string
      required:
        - _tag
        - integration
      additionalProperties: false
    WebhookUnroutableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookUnroutable
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    RateUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateUnavailable
        base:
          type: string
        quote:
          type: string
        'on':
          type: string
      required:
        - _tag
        - base
        - quote
        - 'on'
      additionalProperties: false
    MaintenanceRepairInvalidEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - MaintenanceRepairInvalid
        reason:
          type: string
      required:
        - _tag
        - reason
      additionalProperties: false
    UnauthenticatedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - Unauthenticated
      required:
        - _tag
      additionalProperties: false
    WebhookRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookRejected
        integration:
          type: string
        reason:
          type: string
      required:
        - _tag
        - integration
        - reason
      additionalProperties: false
    ApiKeyRejectedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ApiKeyRejected
      required:
        - _tag
      additionalProperties: false
    TenantSuspendedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantSuspended
        tenantId:
          type: string
        reason:
          type: string
      required:
        - _tag
        - tenantId
        - reason
      additionalProperties: false
    EntitlementMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - EntitlementMissing
        tenantId:
          type: string
        moduleId:
          type: string
      required:
        - _tag
        - tenantId
        - moduleId
      additionalProperties: false
    NotAMemberEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - NotAMember
        userId:
          type: string
        slug:
          type: string
      required:
        - _tag
        - userId
        - slug
      additionalProperties: false
    ScopeUnknownEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeUnknown
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    ScopeMissingEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ScopeMissing
        scope:
          type: string
      required:
        - _tag
        - scope
      additionalProperties: false
    TenantMismatchEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantMismatch
        header:
          type: string
        organizationId:
          type: string
      required:
        - _tag
        - header
        - organizationId
      additionalProperties: false
    WorkspaceOwnerRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WorkspaceOwnerRequired
      required:
        - _tag
      additionalProperties: false
    WorkspaceRoleRequiredEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WorkspaceRoleRequired
        role:
          anyOf:
            - type: string
            - type: 'null'
        required:
          type: array
          items:
            type: string
        message:
          type: string
      required:
        - _tag
        - role
        - required
        - message
      additionalProperties: false
    TenantNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - TenantNotFound
        slug:
          type: string
      required:
        - _tag
        - slug
      additionalProperties: false
    ModuleRequestNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - ModuleRequestNotFound
        id:
          type: string
      required:
        - _tag
        - id
      additionalProperties: false
    MaintenanceRepairNotFoundEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - MaintenanceRepairNotFound
        resource:
          type: string
        id:
          type: string
      required:
        - _tag
        - resource
        - id
      additionalProperties: false
    WebhookDuplicateEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - WebhookDuplicate
        integration:
          type: string
        externalId:
          type: string
      required:
        - _tag
        - integration
        - externalId
      additionalProperties: false
    RegistrationConflictEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RegistrationConflict
        message:
          type: string
        field:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - message
      additionalProperties: false
    MaintenanceRepairConflictEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - MaintenanceRepairConflict
        reason:
          type: string
      required:
        - _tag
        - reason
      additionalProperties: false
    MoneyBusyEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - MoneyBusy
        message:
          type: string
      required:
        - _tag
        - message
      additionalProperties: false
    RateLimitedEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - RateLimited
        key:
          type: string
        retryAfterSeconds:
          anyOf:
            - type: number
            - type: string
              enum:
                - Infinity
                - '-Infinity'
                - NaN
        message:
          type: string
      required:
        - _tag
        - key
        - retryAfterSeconds
        - message
      additionalProperties: false
    IntegrationUnavailableEncoded:
      type: object
      properties:
        _tag:
          type: string
          enum:
            - IntegrationUnavailable
        integration:
          type: string
        detail:
          anyOf:
            - type: string
            - type: 'null'
      required:
        - _tag
        - integration
      additionalProperties: false
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        A workspace API key (Settings → API keys), scoped to `<group>:read` /
        `<group>:write`.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.